summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorWaldemar Brodkorb <wbx@openadk.org>2014-08-01 18:29:15 +0200
committerWaldemar Brodkorb <wbx@openadk.org>2014-08-01 18:29:41 +0200
commita81c14cdffd24266eb9678a04e0965d464927bc3 (patch)
tree21473cff0bb8692947ac60089d100a754585d941 /scripts
parent8bd774aa56934175f756fa2f49e32c517fc1023e (diff)
when using OpenADK for toolchain building, a musl system have to use -static-libgcc
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/bulk-toolchain.sh30
-rw-r--r--scripts/scan-tools.sh2
2 files changed, 31 insertions, 1 deletions
diff --git a/scripts/bulk-toolchain.sh b/scripts/bulk-toolchain.sh
new file mode 100755
index 000000000..ba087c24f
--- /dev/null
+++ b/scripts/bulk-toolchain.sh
@@ -0,0 +1,30 @@
+#!/bin/sh
+
+if [ ! -z $1 ];then
+ c=$1
+else
+ c="uclibc-ng glibc musl uclibc"
+fi
+
+for libc in $c; do
+ for arch in $(cat toolchain/$libc/arch.lst);do
+ echo "Cleaning old stuff"
+ make cleandir
+ echo "Building $libc for $arch"
+ DEFAULT="VERBOSE=1 ADK_TARGET_ARCH=$arch ADK_TARGET_SYSTEM=toolchain-$arch ADK_TARGET_LIBC=$libc"
+ case $arch in
+ mips|microblaze|sh)
+ for endian in little big;do
+ make $DEFAULT ADK_TARGET_ENDIAN=$endian defconfig all
+ done
+ ;;
+ *)
+ make $DEFAULT defconfig all
+ ;;
+ esac
+ if [ $? -ne 0 ];then
+ echo "build failed"
+ exit 1
+ fi
+ done
+done
diff --git a/scripts/scan-tools.sh b/scripts/scan-tools.sh
index 03d5c845f..988c9cceb 100644
--- a/scripts/scan-tools.sh
+++ b/scripts/scan-tools.sh
@@ -82,7 +82,7 @@ include ${ADK_TOPDIR}/prereq.mk
all: run-test
test: test.c
- ${HOST_CC} -o $@ $^ ${LDADD}
+ ${HOST_CC} -static-libgcc -o $@ $^ ${LDADD}
run-test: test
./test